#ifndef MARS_MSrcPosRndm
#define MARS_MSrcPosRndm

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MSrcPosCam;
class MHSrcPosCam;

class MSrcPosRndm : public MTask
{
private:
    MSrcPosCam   *fSrcPos; //!
    MHSrcPosCam  *fHist;   //!

    Double_t fConvMm2Deg;

    Int_t  PreProcess(MParList *plist);
    Int_t  Process();

public:
    MSrcPosRndm() : fSrcPos(0), fHist(0)
    {
        fName  = "MSrcPosRndm";
        fTitle = "Overwrite the source position with a random one from MHSrcPosCam";
    }

    ClassDef(MSrcPosRndm, 0) //Overwrite the source position with a random one from MHSrcPosCam
};

#endif
